Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl
Class ContentImpl

    java.lang.Object
      org.jboss.portal.cms.impl.CMSObjectImpl
          org.jboss.portal.cms.impl.ContentImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CMSObject, Content

    public class ContentImpl

extends CMSObjectImpl
implements Content, java.io.Serializable

CMS Version implementation.

Author:
  Roy Russo, Christophe Lombart
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `approvalProcessId`
`protected byte[]` | `bytes`
`protected java.lang.String` | `encoding`
`protected boolean` | `isLive`
`protected boolean` | `isWaitingForPublishApproval`
`protected java.util.Locale` | `locale`
`protected static org.apache.commons.logging.Log` | `log`
`protected java.lang.String` | `mimeType`
`protected long` | `size`
`protected java.lang.String` | `versionNumber`

Fields inherited from class org.jboss.portal.cms.impl.CMSObjectImpl
`basePath, baseUUID, creationDate, description, lastModified, name, parentUUID, title, versionPath, versionUUID`

Constructor Summary
`ContentImpl()`

Method Summary
`java.lang.String` | `getApprovalProcessId()`
`byte[]` | `getBytes()`
`java.lang.String` | `getContentAsString()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEncoding()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getMimeType()`
`long` | `getSize()`
`java.io.InputStream` | `getStream()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getVersionNumber()`
`boolean` | `isLive()`
`boolean` | `isWaitingForPublishApproval()` this is used to signify that a content is waiting to be approved before being published to go live
`void` | `setApprovalProcessId(java.lang.String approvalProcessId)`
`void` | `setBytes(byte[] bytes)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setLive(boolean live)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setSize(long size)`
`void` | `setStream(java.io.InputStream stream)`
`void` | `setTitle(java.lang.String title)`
`void` | `setVersionNumber(java.lang.String versionNumber)`
`void` | `setWaitingForPublishApproval(boolean isWaitingForPublishApproval)`

Methods inherited from class org.jboss.portal.cms.impl.CMSObjectImpl
`getBasePath, getBaseUUID, getCreationDate, getLastModified, getName, getParentUUID, getVersionPath, getVersionUUID, setBasePath, setBaseUUID, setCreationDate, setLastModified, setName, setParentUUID, setVersionPath, setVersionUUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.cms.model.CMSObject
`getBasePath, getBaseUUID, getCreationDate, getLastModified, getName, getParentUUID, getVersionPath, getVersionUUID, setBasePath, setBaseUUID, setCreationDate, setLastModified, setName, setParentUUID, setVersionPath, setVersionUUID`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### bytes

    protected byte[] bytes

### encoding

    protected java.lang.String encoding

### isLive

    protected boolean isLive

### versionNumber

    protected java.lang.String versionNumber

### locale

    protected java.util.Locale locale

### mimeType

    protected java.lang.String mimeType

### size

    protected long size

### isWaitingForPublishApproval

    protected boolean isWaitingForPublishApproval

### approvalProcessId

    protected java.lang.String approvalProcessId

Constructor Detail

### ContentImpl

    public ContentImpl()

Method Detail

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `CMSObject`
  Overrides:
    `getTitle` in class `CMSObjectImpl`

### setTitle

    public void setTitle(java.lang.String title)

  Specified by:
    `setTitle` in interface `CMSObject`
  Overrides:
    `setTitle` in class `CMSObjectImpl`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `CMSObject`
  Overrides:
    `getDescription` in class `CMSObjectImpl`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `CMSObject`
  Overrides:
    `setDescription` in class `CMSObjectImpl`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `Content`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `Content`

### getVersionNumber

    public java.lang.String getVersionNumber()

  Specified by:
    `getVersionNumber` in interface `Content`

### setVersionNumber

    public void setVersionNumber(java.lang.String versionNumber)

  Specified by:
    `setVersionNumber` in interface `Content`

### getStream

    public java.io.InputStream getStream()

  Specified by:
    `getStream` in interface `Content`
  Returns:
    Returns the content.

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `Content`
  Returns:
    Returns the content.

### getContentAsString

    public java.lang.String getContentAsString()

  Specified by:
    `getContentAsString` in interface `Content`

### setStream

    public void setStream(java.io.InputStream stream)

  Specified by:
    `setStream` in interface `Content`
  Parameters:
    `stream` - The content to set.

### setBytes

    public void setBytes(byte[] bytes)

  Specified by:
    `setBytes` in interface `Content`
  Parameters:
    `bytes` - The content to set.

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `Content`
  Returns:
    Returns the encoding.

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Specified by:
    `setEncoding` in interface `Content`
  Parameters:
    `encoding` - The encoding to set.

### isLive

    public boolean isLive()

  Specified by:
    `isLive` in interface `Content`

### setLive

    public void setLive(boolean live)

  Specified by:
    `setLive` in interface `Content`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `Content`
  Returns:
    the

### getMimeType

    public java.lang.String getMimeType()

  Specified by:
    `getMimeType` in interface `Content`

### setMimeType

    public void setMimeType(java.lang.String mimeType)

  Specified by:
    `setMimeType` in interface `Content`

### setSize

    public void setSize(long size)

  Specified by:
    `setSize` in interface `Content`

### isWaitingForPublishApproval

    public boolean isWaitingForPublishApproval()

  Description copied from interface: `Content`
  this is used to signify that a content is waiting to be approved before being published to go live

  Specified by:
    `isWaitingForPublishApproval` in interface `Content`
  Returns:

### setWaitingForPublishApproval

    public void setWaitingForPublishApproval(boolean isWaitingForPublishApproval)

  Specified by:
    `setWaitingForPublishApproval` in interface `Content`
  Parameters:
    `isWaitingForPublishApproval` -

### getApprovalProcessId

    public java.lang.String getApprovalProcessId()

  Specified by:
    `getApprovalProcessId` in interface `Content`
  Returns:
    the approvalProcessId

### setApprovalProcessId

    public void setApprovalProcessId(java.lang.String approvalProcessId)

  Specified by:
    `setApprovalProcessId` in interface `Content`
  Parameters:
    `approvalProcessId` - the approvalProcessId to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.